(*
 * Module:
 *
 * Description:  Design/CPN OG Tool
 *
 * Created by:   Jens Baek Joergensen (jbj@daimi.aau.dk)
 *               Lars Kristensen (kris@daimi.aau.dk)   
 *
 * Date:         14/11/95   
 *
 * Design/CPN (tm)  Copyright (c) Meta Software Corp 1989--1995
 *)

(* $Source: /users/cpn/designcpnR/src/current/oga/OGMLfiles/OESetBind.sml,v $

$Log: OESetBind.sml,v $
Revision 1.2  1996/02/01 10:19:33  kris
Changed the default marking equivalence

 Revision 1.1  1995/11/14  13:49:19  kris
 Initial revision
 

*)

val rcsid = "$Header: /users/cpn/designcpnR/src/current/oga/OGMLfiles/OESetBind.sml,v 1.2 1996/02/01 10:19:33 kris Exp $";

structure OESetBind =
struct

    (* This default should be changed *)
    val EquivBindFun = ref (fn (CPN'b1:Bind.Elem, CPN'b2:Bind.Elem) => (CPN'b1 = CPN'b2));

    fun EquivBind (CPN'userequivbind) = (EquivBindFun := CPN'userequivbind);

end(*struct*);

