(*
 * Module:       Design/CPN Canonical
 *
 * Description:  Main function for computing canonical markings
 *
 * Created by:   Lars Michael Kristensen (kris@daimi.au.dk)   
 *
 * Date:         06/07/2000   
 *
*)

(* $Source: /users/cpn/designcpnR/src/current/oga/OGMLfiles/Attic/OGCanonical.sml,v $

$Log: OGCanonical.sml,v $
Revision 1.1.2.1  2000/07/13 13:41:25  kris
Initial revision


*)

val rcsid = "$Header: /users/cpn/designcpnR/src/current/oga/OGMLfiles/Attic/OGCanonical.sml,v 1.1.2.1 2000/07/13 13:41:25 kris Exp $";

structure OGSetCanonical = 
    struct
	val CPN'CanonFun = ref (NONE : ((CPN'OGrec -> CPN'OGrec) option));

	fun GetCanonFun () = (!CPN'CanonFun);

	fun DisableCanonFun () = (CPN'CanonFun := NONE);
	    
	fun EnableCanonFun CPN'cfun = (CPN'CanonFun := SOME (CPN'cfun));
end

	
