(*
 * Module:
 *
 * Description:  Design/CPN OG Tool
 *
 * Created by:   Lars Kristensen (kris@daimi.aau.dk)   
 *
 * Date:         29/09/95   
 *
 * Design/CPN (tm)  Copyright (c) Meta Software Corp 1989--1995
 *)

(* $Source: /users/cpn/designcpnR/src/current/oga/OGMLfiles/OGDefaults.sml,v $

$Log: OGDefaults.sml,v $
Revision 1.1.4.1  1999/01/04 09:16:28  mailund
char vs. string

Revision 1.1  1996/11/27 17:44:57  cpn
Initial revision
 

*)

val rcsid = "$Header: /users/cpn/designcpnR/src/current/oga/OGMLfiles/OGDefaults.sml,v 1.1.4.1 1999/01/04 09:16:28 mailund Exp $";


(* Initialize defaults for Node and Arc descriptors *)
OGSet.StringRepOptions'Mark (fn (CPN'PI,CPN'mark) => CPN'PI^": "^CPN'mark

			     ^"\n");

usestring ([(CPN'OGDrawUtils.NodeFilterGen())]);
usestring ([(CPN'OGDrawUtils.ArcFilterGen())]);
