(*
 * Module:       Defines user accessible print functions
 *
 * Description:  Design/CPN OG Tool
 *
 * Created by:   Lars Kristensen (kris@daimi.aau.dk)   
 *
 * Date:         29/09/95   
 *
 * Design/CPN (tm)  Copyright (c) Meta Software Corp 1989--1995
 *)

(* $Source: /users/cpn/designcpnR/src/current/oga/OGMLfiles/OGPrintFuns.sml,v $

$Log: OGPrintFuns.sml,v $
Revision 1.1  1995/09/29 14:46:58  kris
Initial revision
 

*)

val rcsid = "$Header: /users/cpn/designcpnR/src/current/oga/OGMLfiles/OGPrintFuns.sml,v 1.1 1995/09/29 14:46:58 kris Exp $";

(* this file defines user accessible print functions *)


val st_NodeDescrRef = ref (fn (CPN'n:Node)=>"");
val st_ArcDescrRef = ref (fn (CPN'a:Arc)=>"");

fun FullyProcessed CPN'n
   = !(CPN'OGUtils.GetNodeCalcStat
						(CPN'OGUtils.NodeToNodeRec CPN'n)) = FullProc;

fun Processed CPN'n
   = not (!(CPN'OGUtils.GetNodeCalcStat
						(CPN'OGUtils.NodeToNodeRec CPN'n)) = UnProc);
