(*
 * Module:
 *
 * Description:  Design/CPN OG Tool
 *
 * Created by:   Jens Baek Joergensen (jbj@daimi.aau.dk)
 *               Lars Kristensen (kris@daimi.aau.dk)   
 *
 * Date:         14/11/95   
 *
 * Design/CPN (tm)  Copyright (c) Meta Software Corp 1989--1995
 *)

(* $Source: /users/cpn/designcpnR/src/current/oga/OGMLfiles/OEBindUtils.sml,v $

$Log: OEBindUtils.sml,v $
Revision 1.1  1995/11/14 13:47:07  kris
Initial revision
 

*)

val rcsid = "$Header: /users/cpn/designcpnR/src/current/oga/OGMLfiles/OEBindUtils.sml,v 1.1 1995/11/14 13:47:07 kris Exp $";

structure CPN'OEBindUtils =
struct

fun CPN'OEBindingIsEq(CPN'trmlno1,CPN'instno1,CPN'b1,CPN'trmlno2,CPN'instno2,CPN'b2) =
    let
	val CPN'b1ref = ref CPN'b1;
	val CPN'b2ref = ref CPN'b2;
    in
	(!OESetBind.EquivBindFun(CPN'ArcToBE1((CPN'trmlno1,CPN'instno1),CPN'b1ref),
			     CPN'ArcToBE1((CPN'trmlno2,CPN'instno2),CPN'b2ref)))

    end 

end(*struct*);

