(*
 * Module:      Installation of user mark equivalence.
 *
 * Description:  Design/CPN OG Tool
 *
 * Created by:   Lars Kristensen (kris@daimi.aau.dk)   
 *               Jens Baek Jorgensen (jbj@daimi.aau.dk)
 * Date:         01/02/96   
 *
 * Design/CPN (tm)  Copyright (c) Meta Software Corp 1989--1995
 *)

(* $Source: /users/cpn/designcpnR/src/current/oga/OGMLfiles/OESetMark.sml,v $

$Log: OESetMark.sml,v $
Revision 1.2  1998/01/03 13:13:20  kris
Modification to make OEOS tool work on state recs

Revision 1.1  1996/02/01 10:20:59  kris
Initial revision
 

*)

structure OESetMark =
struct

    val EquivMarkFun = ref (fn (CPN'n1:CPN'OGrec, CPN'n2:CPN'OGrec) => true);

    fun EquivMark (CPN'userequivmark) = (EquivMarkFun := CPN'userequivmark);

end(*struct*);

